import { IcyNetUser } from './user';

export interface PositionUpdatePacket {
  id?: number;
  position?: number[];
  rotation?: (number | string)[];
  animState?: number;
  time?: number;
}

export interface FullStatePacket {
  velocity?: number[];
  angular?: number[];
  position?: number[];
  rotation?: (number | string)[];
  animState?: number;
}

export interface CompositePacket extends IcyNetUser, FullStatePacket {}
